Subject: bug#59426: 29.0.50; [tree-sitter] Some functions exceed maximum recursion limit

From: Yuan Fu <[email-masked]>
Date: Mon, 21 Nov 2022 09:01:45 -0800

> On Nov 21, 2022, at 8:54 AM, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Yuan Fu <[email-masked]>
>> Date: Mon, 21 Nov 2022 08:43:45 -0800
>> Cc: Eli Zaretskii <[email-masked]>,
>> Stefan Kangas <[email-masked]>,
>> Po Lu <[email-masked]>,
>> [email-masked]
>> 
>>> There are still scores of Elisp byte-compilation warnings but I leave fixing those to the tree-sitter developers.
>> 
>> Could you paste the warnings? Because I don’t see any warnings on my machine.
> 
> I' see them and am working on fixing them.  (You won't see them unless you
> configure --without-tree-sitter.)

Thanks!

> On Nov 21, 2022, at 8:56 AM, Mattias Engdegård <[email-masked]> wrote:
> 
> 21 nov. 2022 kl. 17.43 skrev Yuan Fu <[email-masked]>:
> 
>>> There are still scores of Elisp byte-compilation warnings but I leave fixing those to the tree-sitter developers.
>> 
>> Could you paste the warnings? Because I don’t see any warnings on my machine.
> 
> Build without tree-sitter and you should see them for several .el files, as well as when byte-compiling treesit-tests.el .
> (I could paste the warnings but you need to reproduce them yourself in order to fix them anyway.)
> 

Ah, I see. I’ll let Eli do the hard work for me :-)

Yuan